Results 1 to 6 of 6

Thread: install-info error during update

  1. #1
    Join Date
    Jun 2007
    Beans
    50

    install-info error during update

    Hi all, I'm using ubuntu 10.04 beta 1. when I try to update & upgrade I get the following error:

    Code:
    Setting up install-info (4.13a.dfsg.1-5ubuntu1) ...
    /etc/environment: line 4: LC-ALL=en_US.UTF-8: command not found
    dpkg: error processing install-info (--configure):
     subprocess installed post-installation script returned error exit status 127
    Errors were encountered while processing:
     install-info
    Anyone knows how to fix this?
    Thanks

  2. #2
    Join Date
    Jun 2007
    Beans
    50

    Re: install-info error during update

    Quote Originally Posted by beemzet View Post
    Hi all, I'm using ubuntu 10.04 beta 1. when I try to update & upgrade I get the following error:

    Code:
    Setting up install-info (4.13a.dfsg.1-5ubuntu1) ...
    /etc/environment: line 4: LC-ALL=en_US.UTF-8: command not found
    dpkg: error processing install-info (--configure):
     subprocess installed post-installation script returned error exit status 127
    Errors were encountered while processing:
     install-info
    Anyone knows how to fix this?
    Thanks

    Never mind, I figured it out.
    In /etc/environment file I had to change this:

    4 LC-ALL="en_US.UTF-8"

    to this:

    4 LC_ALL="en_US.UTF-8"

  3. #3
    Join Date
    Dec 2007
    Location
    ur LHC leakin ur protons
    Beans
    87
    Distro
    Kubuntu 10.04 Lucid Lynx

    Talking Re: install-info error during update

    Quote Originally Posted by beemzet View Post
    Never mind, I figured it out.
    In /etc/environment file I had to change this:

    4 LC-ALL="en_US.UTF-8"

    to this:

    4 LC_ALL="en_US.UTF-8"
    To my complete astonishment, this fixed my install-info woes. Thanks! In the same file, I commented out the line:

    POVRAY_BETA=`povray --betacode 2>&1`

    and all was well. I guess the upgrade doesn't like the broken povray beta.

  4. #4
    Join Date
    Oct 2009
    Beans
    5

    Re: install-info error during update

    I was getting a very similar error, but with exit status 1. No reference to /etc/environment in the error message, very cryptic and lacking any helpful information. BUT, after reading a few posts where problems in /etc/environment were reported, looked at my own and discovered that there was a line in there that really should be in ~/.bashrc, but hadn't caused any trouble before. This:
    [[ -s "$HOME/.rvm/scripts/rvm" ]] && . "$HOME/.rvm/scripts/rvm"
    which is for the Ruby Version Manager. Took that out and install works again. So, taking EVERYTHING out of /etc/environment if this problem presents might be a good first approach.

    Quote Originally Posted by beemzet View Post
    Hi all, I'm using ubuntu 10.04 beta 1. when I try to update & upgrade I get the following error:

    Code:
    Setting up install-info (4.13a.dfsg.1-5ubuntu1) ...
    /etc/environment: line 4: LC-ALL=en_US.UTF-8: command not found
    dpkg: error processing install-info (--configure):
     subprocess installed post-installation script returned error exit status 127
    Errors were encountered while processing:
     install-info
    Anyone knows how to fix this?
    Thanks

  5. #5
    Join Date
    Sep 2010
    Beans
    1

    Re: install-info error during update

    It is exactly what I need, Thanks for your analysis!

  6. #6
    Join Date
    Aug 2012
    Beans
    2

    Re: install-info error during update

    I was struggling with this problem for 5 days straight. I had to configure NTP server on my machine and it was not possible without this small change that changed the world for me. Even the updates on my machine were not happening due to this.

    This is what I did:

    I changed the first line of /etc/environment from:

    VTYSH_PAGER = more

    to:

    VTYSH_PAGER=more

    And it started working. I hope this one could help.
    Last edited by HariharanS; August 21st, 2012 at 06:37 AM.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •